Bug 121739 - (NFS4) kernel BUG at fs/nfs/nfs4xdr.c:839!
(NFS4) kernel BUG at fs/nfs/nfs4xdr.c:839!
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-26 19:11 EDT by Carl-Johan Kjellander
Modified: 2015-04-29 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 07:28:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch should take care of the problem (641 bytes, patch)
2004-04-30 14:49 EDT, Steve Dickson
no flags Details | Diff

  None (edit)
Description Carl-Johan Kjellander 2004-04-26 19:11:22 EDT
Description of problem:
Running fedora core 2 test 3 with nfsv4. Apart from crashing
quite often I got this in syslog and nfs stopped working.

kernel BUG at fs/nfs/nfs4xdr.c:839!
invalid operand: 0000 [#1]
CPU:    0
EIP:    0060:[<34f42865>]    Not tainted
EFLAGS: 00010297   (2.6.5-1.332)
EIP is at encode_open_reclaim+0x84/0xe3 [nfs]
eax: ffffffff   ebx: 0904307c   ecx: 312b5c9c   edx: 09043078
esi: 312b5f08   edi: 312b5c9c   ebp: 2b9ac69c   esp: 312b5c80
ds: 007b   es: 007b   ss: 0068
Process 130.241.64.36-r (pid: 3632, threadinfo=312b5000 task=08e16cd0)
Stack: 0904304c 312b5f08 34f434e3 00000000 00000003 00000000 00000000
090430a0
       2b9ac6b8 09043700 2b9ac6b8 34ee81c4 312b5d3c 312b5f08 0904304c
34ed2a35
       2b9ac69c 34f43491 312b5d3c 34f43491 2b9ac6dc 2b9ac69c 34ecac94
0904304c
Call Trace:
 [<34f434e3>] nfs4_xdr_enc_open_reclaim+0x52/0x68 [nfs]
 [<34ed2a35>] rpcauth_wrap_req+0x69/0x70 [sunrpc]
 [<34f43491>] nfs4_xdr_enc_open_reclaim+0x0/0x68 [nfs]
 [<34f43491>] nfs4_xdr_enc_open_reclaim+0x0/0x68 [nfs]
 [<34ecac94>] call_encode+0xb8/0xe7 [sunrpc]
 [<34ecae5c>] call_transmit+0x52/0x7f [sunrpc]
 [<34ecfd3a>] __rpc_execute+0x9e/0x456 [sunrpc]
 [<34eca888>] rpc_call_sync+0x64/0x87 [sunrpc]
 [<34ecae89>] call_status+0x0/0xe0 [sunrpc]
 [<34eceb24>] rpc_run_timer+0x0/0x13f [sunrpc]
 [<34f3e57b>] nfs4_open_reclaim+0x12a/0x162 [nfs]
 [<34f48223>] nfs4_reclaim_open_state+0x1e/0x83 [nfs]
 [<34f48465>] reclaimer+0x1dd/0x2de [nfs]
 [<34f48288>] reclaimer+0x0/0x2de [nfs]
 [<021041d9>] kernel_thread_helper+0x5/0xb
 
Code: 0f 0b 47 03 0f d4 f4 34 89 d8 83 c3 04 89 da c7 00 00 00 00
 <3>Slab corruption: start=312b5000, len=4096
d40: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a4 fd ad 1b


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.332

How reproducible:
Only seen it once.

Steps to Reproduce:
Dunno.

Actual results:
NFSv4 stopped working

Expected results:
NFSv4 should not have this bug. :)

Additional info:
I don't know what that 332 kernel came from but I got it with
yum. I've downgraded to 327 to have the same kernel as the
NFSv4 server.
Comment 1 Carl-Johan Kjellander 2004-04-28 09:09:35 EDT
The same thing has happened 3 times now, with kernel 327 and with 339.

kernel BUG at fs/nfs/nfs4xdr.c:839!
invalid operand: 0000 [#1]
CPU:    0
EIP:    0060:[<34f07865>]    Not tainted
EFLAGS: 00010297   (2.6.5-1.339)
EIP is at encode_open_reclaim+0x84/0xe3 [nfs]
eax: ffffffff   ebx: 1e1ba07c   ecx: 1d384c9c   edx: 1e1ba078
esi: 1d384f08   edi: 1d384c9c   ebp: 28fbd178   esp: 1d384c80
ds: 007b   es: 007b   ss: 0068
Process 130.241.64.36-r (pid: 3491, threadinfo=1d384000 task=2d9c46c0)
Stack: 1e1ba04c 1d384f08 34f084e3 00000000 00000003 00000000 00000000
1e1ba0a0
       28fbd194 1e1ba700 28fbd194 34ead1c4 1d384d3c 1d384f08 1e1ba04c
34e97a35
       28fbd178 34f08491 1d384d3c 34f08491 28fbd1b8 28fbd178 34e8fc94
1e1ba04c
Call Trace:
 [<34f084e3>] nfs4_xdr_enc_open_reclaim+0x52/0x68 [nfs]
 [<34e97a35>] rpcauth_wrap_req+0x69/0x70 [sunrpc]
 [<34f08491>] nfs4_xdr_enc_open_reclaim+0x0/0x68 [nfs]
 [<34f08491>] nfs4_xdr_enc_open_reclaim+0x0/0x68 [nfs]
 [<34e8fc94>] call_encode+0xb8/0xe7 [sunrpc]
 [<34e8fe5c>] call_transmit+0x52/0x7f [sunrpc]
 [<34e94d3a>] __rpc_execute+0x9e/0x456 [sunrpc]
 [<34e8f888>] rpc_call_sync+0x64/0x87 [sunrpc]
 [<34e8fe89>] call_status+0x0/0xe0 [sunrpc]
 [<34e93b24>] rpc_run_timer+0x0/0x13f [sunrpc]
 [<34f0357b>] nfs4_open_reclaim+0x12a/0x162 [nfs]
 [<34f0d223>] nfs4_reclaim_open_state+0x1e/0x83 [nfs]
 [<34f0d465>] reclaimer+0x1dd/0x2de [nfs]
 [<34f0d288>] reclaimer+0x0/0x2de [nfs]
 [<021041d9>] kernel_thread_helper+0x5/0xb
 
Code: 0f 0b 47 03 0f 24 f1 34 89 d8 83 c3 04 89 da c7 00 00 00 00
Comment 2 Steve Dickson 2004-04-30 14:49:26 EDT
Created attachment 99843 [details]
This patch should take care of the problem

Please apply this patch to see if the problem goes away

Note You need to log in before you can comment on or make changes to this bug.